# ApproveAgreement

PATH: /aurora.core.apiengine.agreementsv1.AgreementService/ApproveAgreement

  ApproveAgreement can be used to approve a drafted agreement

Endpoint: POST /aurora.core.apiengine.agreementsv1.AgreementService/ApproveAgreement
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `balance_target` (string)
    Balance Target can be added by each party for their own purposes, not visible to the counterparty

  - `balance_target_variance` (string)
    Balance Target Variance can be added by each party for their own purposes, not visible to the counterparty

  - `booking_account` (string)
    Booking Account added by each party, visible to the counterparty

  - `id` (string, required)
    ID of the agreement

  - `profit_center` (string)

  - `settlement_system` (string)
    Enum: "SETTLEMENT_SYSTEM_UNSPECIFIED", "PROVABLE_MARKET", "LOANET", "LOANET_SFT", "SPIRE", "PROP"

  - `short_name` (string, required)
    Agreements require a short name that can be used for both display in the order book and when creating new orders.
Short names must be unique amongst your agreements and must be 25 characters or less.
Spaces are supported but not recommended.


